[![GitHub license](https://img.shields.io/badge/license-MIT-blue.svg)](https://github.com/esr360/One-Nexus/blob/master/LICENSE)
[![GitHub license](https://api.travis-ci.org/esr360/One-Nexus.svg)](https://travis-ci.org/esr360/One-Nexus)

<a href="http://onenexus.io/">
    <img src="https://raw.githubusercontent.com/esr360/One-Nexus/master/src/images/logo.png" width="270">
</a>

> One-Nexus is a toolkit for architecting and constructing front-end user-interfaces

[Visit Website](http://onenexus.io/) | 
[View SassDoc Documentation](http://esr360.github.io/One-Nexus/docs/sass) |
[View JSDoc Documentation](http://esr360.github.io/One-Nexus/docs/sass)

### Features

* Configure your entire project's UI from a single JSON file
* Modular and configurable UI components
* [Bespoke responsive grid system](https://github.com/esr360/One-Nexus/wiki/Grid-System)
* Built with Sass and Vanilla JavaScript (no jQuery!)
* Optional Handlebars templates
* Sass and JS unit testing
* Over 30 prebuilt configurable UI modules included
* Create multiple themes using your components
* Includes everything needed to develop your project's independent front-end

## One-Nexus Wiki

> For interactive demos, visit the [One-Nexus Github-Pages Website](http://esr360.github.io/One-Nexus/dist/)

### Table of Contents

* [Getting Started](https://github.com/esr360/One-Nexus/wiki/Getting-Started)
* [Introduction](https://github.com/esr360/One-Nexus/wiki/Introduction)
* [UI Modules](https://github.com/esr360/One-Nexus/wiki/UI-Modules)
* [Themes](https://github.com/esr360/One-Nexus/wiki/Themes)
* [Tools](https://github.com/esr360/One-Nexus/wiki/Tools)
* [Grid System](https://github.com/esr360/One-Nexus/wiki/Grid-System)
* [Templates](https://github.com/esr360/One-Nexus/wiki/Templates)
* [Unit Testing](https://github.com/esr360/One-Nexus/wiki/Unit-Testing)
* [Build/Grunt Tools](https://github.com/esr360/One-Nexus/wiki/Build-Grunt-Tools)